#!/bin/bash
#
# get installed version of ca-certificate package
# write the version into virtual registers 4200-4201
#
# if used with --update, try update/upgrade package

CA_REG1=4300
CA_REG2=4301
VREG_DIR=/run/unipi-plc/virtual-regs

if [[ "$TRIGGER_UNIT" =~ ".timer" ]]; then
    apt-get update -y -qq || true
    apt-get install -y -q ca-certificates
fi

CA_VERSION=$(dpkg-query --show --showformat '${Version}' ca-certificates 2>/dev/null)
if [ -z "$CA_VERSION" ]; then
    rm -f "$VREG_DIR/$CA_REG1"
    rm -f "$VREG_DIR/virtual-regs/$CA_REG2"
else
    mkdir -p "$VREG_DIR"
    if cd "$VREG_DIR"; then
        echo "$((CA_VERSION/10000))" > "$VREG_DIR/$CA_REG1"
        echo "$((CA_VERSION%10000))" > "$VREG_DIR/$CA_REG2"
    fi
fi