#!/bin/bash

# Action is fired when  rt_update_file if prepared
#
# Systemd monitors directory /run/mervis/update via mervis-update.path
# After creating file in directory systemd starts mervis-update.service
#   - stop mervisrt and mervisconfigtool
#   - run rt_update_file via /bin/sh
#   - delete rt_update_file
#   - start mervisrt and mervisconfigtool

rt_update_file="$1"

if [ -z "$rt_update_file" ]; then
    . /etc/sysconfig/mervisrt
    rt_update_file=${rt_update_file:-/tmp/sharkrt.sh}
fi

if [ -r "$rt_update_file" ]; then
    # Create link to update file -> directory is monitored by systemd mervis-update.path
    ln -s "$rt_update_file" /run/mervis/update/sharkrt.sh
fi
