#!/bin/bash

unset nameserver domain hostname

mkdir -p /etc/systemd/resolved.conf.d
chmod o+rx /etc/systemd/resolved.conf.d

case "$1" in
    nameservers)
        shift
        nameserver="$*"
        #while [[ $# -gt 0 ]]; do
        #    shift
        #    [ -n "$1" ] && nameserver="$nameserver $1"
        #done
        if [ -z "$nameserver" ]; then
            rm -f /etc/systemd/resolved.conf.d/dns-server.conf
        else
            export nameserver
            envsubst <"$templates/dns-server.conf" > /etc/systemd/resolved.conf.d/dns-server.conf
            chmod o+r /etc/systemd/resolved.conf.d/dns-server.conf
        fi
        ;;

    domain)
        # domain to search
        if [ -z "$2" ]; then
            rm -f /etc/systemd/resolved.conf.d/domain.conf || true
        else
            domain="$2"
            export domain
            envsubst <"$templates/domain.conf" > /etc/systemd/resolved.conf.d/domain.conf
            chmod o+r /etc/systemd/resolved.conf.d/domain.conf
        fi
        ;;

    hostname)
        hostname="$2"
        if [ -n "$hostname" ]; then
            echo "$hostname" > /etc/hostname
            echo "127.0.1.1  $hostname" >> /etc/hosts
        fi
        ;;
    *)
        # the parameter is unknown, skip it
        [ -n "$1" ] && echo "Unknown parameter for resolver: $1" >&2
        exit 1
        ;;
esac
systemctl restart --no-block systemd-resolved
