#!/bin/bash

case "$1" in
    default)
        gateway="$2"
        if [ -n "$gateway" ] && [ "$gateway" != "none" ]; then
            export gateway
            envsubst <"$templates/route-default.conf" > "$tmp/route-default.conf"
            echo "$gateway" default >> "$tmp/route.list"
        fi
        ;;

    add)
        target="$2"
        netmask="$3"
        gateway="$4"
        if [ -n "$gateway" ] && [ "$gateway" != "none" ]; then
            . $lib/net-mask.sh
            mask=$(mask2net "$netmask") || { echo "Netmask $1 invalid" >&2; exit 1; }
            export target mask netmask gateway
            envsubst <"$templates/route.conf" > "$tmp/route-$target.$$.conf"
            echo "$gateway" $target.$$ >> "$tmp/route.list"
        fi
        ;;
    delete)
        ;;
    *)
        # the parameter is unknown, skip it
        [ -n "$1" ] && echo "Unknown parameter for route: $1" >&2
        exit 1
        ;;
esac
