#!/bin/bash

# Variables using:
# - service
# - SSHD_CONFIG

# --- on/off port 22 [passorwd]
is_on="$1"
port="$3"
password="$5"

export is_on port password

# check the on/off parameter
if [ "$is_on" = "on" ]; then 
    is_on=1
elif [ "$is_on" = "off" ]; then 
    is_on=0
else
    echo "Missing parameter for service $service : on/off" >&2
    exit 1
fi

# should we turn the SSH on or off?
if [ "$is_on" == "1" ]; then
    # ssh server should be on, validate port number
    if [ -n "$port" ]; then
        # port number is valid, we will create new configuration temporary file
        cfg=/etc/ssh/sshd_config.d/port.conf
        if ! [ -r "$cfg" ] || ! grep -q "^Port $port$$" "$cfg"; then
            echo "Port $port" > "$cfg"
            systemctl reload --no-block ssh
        fi

        # if the password parameter is passed as well, change it
        [ -n "$password" ] && echo "unipi:$password" | chpasswd 
    fi

    systemctl enable ssh
    systemctl start  --no-block ssh
else
    # stop the SSH server
    systemctl disable ssh
    systemctl stop --no-block ssh
fi
